# Quick guide to contributing to PieTime

This document describes the process of contributing to PieTime.

## Mailing List

The mailing list is the designated way of discussing anything related to
PieTime. Use it to report issues, submit patches etc.

Mailing list address: pietime@googlegroups.com

## Submitting patches

If you've made changes to PieTime source, you're welcome to submit a patch.
Before doing so, make sure you've updated tests and docs to reflect your
changes. Additionally, run the *pep8* utility on changed files.

Once you're done, create a patch from your changes and send it to the mailing
list along with a brief description. If your changes span over multiple
commits, please squash them into one before submitting the patch.

## License information

PieTime itself is licensed under the MIT license, so any code introduced by
your patch must be compatible with this license. Note that, if you don't
explicitly mark a piece of code with "alien" license, it'll automatically be
licensed under the MIT license.

If your patch contains 3rd party resources, make sure that their license(s)
allow for redistribution in open source projects.

If your patch contains 3rd party code and/or resources, make sure you update
the docs and ``debian/copyright`` file accordingly.
