#!/usr/bin/env python2.7

from datetime import timedelta
import os
import sys

if os.getcwd() not in sys.path:
    sys.path.insert(0, os.getcwd())

from pie_time import PieTime
from pie_time.cards import ClockCard, PictureCard, WeatherCard

deck = [
    ClockCard,
    (
        WeatherCard, 20, {
            'api_key': 'Your OpenWeatherMap API KEY',
            'city': 'Wroclaw,PL'
        }
    ),
    (
        PictureCard, 10, {
            'urls': [
                'http://lorempixel.com/320/240/city',
                'http://lorempixel.com/200/125/technics'
            ]
        }
    )
]

blanker_schedule = (
    timedelta(hours=23), timedelta(hours=6)
)

app = PieTime(deck, blanker_schedule=blanker_schedule)

if __name__ == '__main__':
    app.run()
